Update Question

Update an existing question (all fields optional)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
Question bank ID
questionIdstringRequiredformat: "uuid"
Question ID

Request

This endpoint expects an object.
questionTypestringOptional

mcq|coding|behavioral

questionstringOptional
Question text
expectedAnswerstringOptional
Expected answer
optionslist of anyOptional
MCQ options
correctAnswerstringOptional
Correct answer
difficultyLevelstringOptional

easy|medium|hard

isActivebooleanOptional
Active status

Response

Question updated successfully
successbooleanOptional
dataobjectOptional
messagestringOptional
timestampstringOptional
versionstringOptional

Errors

404
Not Found Error